From b1214924d0914165af5dfde92b8a149495dc0378 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Bastien=20ROUCARI=C3=88S?= <roucaries.bastien@gmail.com>
Date: Sat, 12 Jul 2014 19:22:55 +0200
Subject: [PATCH 1/2] Add kernel and initrd to debian installer
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

It help to restore from serial console, when flashing from dlink fail.

Signed-off-by: Bastien ROUCARIÈS <roucaries.bastien@gmail.com>
---
 build/config/armel/kirkwood/network-console.cfg | 8 ++++++--
 1 file changed, 6 insertions(+), 2 deletions(-)

diff --git a/build/config/armel/kirkwood/network-console.cfg b/build/config/armel/kirkwood/network-console.cfg
index 1489ec4..6bf1ef5 100644
--- a/build/config/armel/kirkwood/network-console.cfg
+++ b/build/config/armel/kirkwood/network-console.cfg
@@ -10,9 +10,13 @@ dns-320:
 	mkdir -p $(TEMP)/dns-320
 	cat $(TEMP_KERNEL) $(TEMP_DTBS)/kirkwood-dns320.dtb > $(TEMP)/dns-320/vmlinuz-dns320
 	mkimage -A arm -O linux -T kernel -C none -e 0x00008000 -a 0x00008000 -n "Debian kernel" -d $(TEMP)/dns-320/vmlinuz-dns320 $(TEMP)/dns-320/kernel.uboot
+	cp $(TEMP)/dns-320/vmlinuz-dns320 $(TEMP)/dns-320/kernel.uboot $(SOME_DEST)/$(EXTRANAME)/d-link/dns-320/uImage
 	mkimage -A arm -O linux -T ramdisk -C gzip -e 0x00e00000 -a 0x00e00000 -n "debian-installer ramdisk" -d $(TEMP_INITRD) $(TEMP)/dns-320/initrd.uboot
-	mkdns323fw -k $(TEMP)/dns-320/kernel.uboot -i $(TEMP)/dns-320/initrd.uboot -t DNS-320 -o $(SOME_DEST)/$(EXTRANAME)/d-link/dns-320/netboot.img
-	update-manifest $(SOME_DEST)/$(EXTRANAME)/d-link/dns-320/netboot.img "installer image (dlink firmware) for D-Link DNS-320"
+	cp $(TEMP)/dns-320/vmlinuz-dns320 $(TEMP)/dns-320/initrd.uboot $(SOME_DEST)/$(EXTRANAME)/d-link/dns-320/uInitrd
+	mkdns323fw -k $(TEMP)/dns-320/kernel.uboot -i $(TEMP)/dns-320/initrd.uboot -t DNS-320 -o $(SOME_DEST)/$(EXTRANAME)/d-link/dns-320/flash-debian
+	update-manifest $(SOME_DEST)/$(EXTRANAME)/d-link/dns-320/flash-debian "installer image (dlink firmware) for D-Link DNS-320"
+	update-manifest $(SOME_DEST)/$(EXTRANAME)/d-link/dns-320/uImage "kernel for D-Link DNS-320"
+	update-manifest $(SOME_DEST)/$(EXTRANAME)/d-link/dns-320/uInitrd "initrd for D-Link DNS-320"
 
 
 # QNAP TS-119, TS-219 and TS-219P
-- 
2.0.0

